import "core-js/modules/es6.number.constructor";
import _Object$assign from "@babel/runtime-corejs2/core-js/object/assign";
import _inheritsLoose from "../../../inheritsLoose";
import _defineProperty from "@babel/runtime-corejs2/helpers/defineProperty";
import { DShape } from './shape';
export var DRectangle =
/*#__PURE__*/
function (_DShape) {
  _inheritsLoose(DRectangle, _DShape);

  function DRectangle() {
    return _DShape.apply(this, arguments) || this;
  }

  var _proto = DRectangle.prototype;

  _proto.defaults = function defaults() {
    return _Object$assign({}, _DShape.prototype.defaults.call(this), {
      width: 120,
      height: 60,
      rounded: 0
    });
  };

  _proto._getStylesheet = function _getStylesheet() {
    var _this$get = this.get(),
        rounded = _this$get.rounded;

    return "rounded=" + (+rounded ? 1 : 0) + ";whiteSpace=wrap;html=1;arcSize=" + rounded;
  };

  return DRectangle;
}(DShape);

_defineProperty(DRectangle, "displayName", 'DRectangle');

_defineProperty(DRectangle, "propTypes", _Object$assign({}, DShape.propTypes, {
  rounded: [Number, String]
}));